extends Area3D


func _ready() -> void:
	$AudioStreamPlayer3D.pitch_scale = randf_range(0.86, 0.93)
	$AudioStreamPlayer3D.play()



func _on_Timer_timeout() -> void:
	call_deferred("queue_free")


func _on_Explosion_body_entered(body: Node3D) -> void:
	
	if body.is_in_group("movable") and body.has_node("Health"):
		if body.invincible == true:
			return
		if body.has_method("explode"):
			body.explode()
			
		
		elif body.has_method("hit"):
				body.hit()
		
		body.health_node.kill()
				
			
